.breadcrumb__nav{
    background-color: #fff;
}
.breadcrumb{
 padding: 0px;
 margin-bottom: 0px;
 padding: 65px 60px 56px 60px;
}
.col{
  padding: 0px;
}
.breadcrumb__nav a,.breadcrumb-item.active{
    color:rgb(51, 51, 51);
}
.footer {
  padding: 57px 60px 20px !important;
}
a:hover{
  text-decoration: none;
}
.container-fluid {
  overflow: hidden;
  /* padding: 65px 60px 56px 60px; */
  margin: 0px;
  width: auto;
}
.forEach{
  margin: 0px 60px;
}
.product-images {
  display: ruby;
  flex-wrap: wrap;
  padding: 0px;
  gap: 40px;
  margin: 0px;
  }
.product-details h1{
  font-size: 2.9rem;
  line-height: 2;
  color: #333333;
}
.product-details p {
  font-size: 2rem;
  color: #333333;
}
.price-tag{
  font-size: 2.3rem !important;
}
  .product-images img {
    width: 48%;
    margin-bottom: 10px;
  }
  .product-details {
    padding: 0px 20px;
  }
  .product-details h1, .product-details p {
    margin: 10px 0;
  }
  .btn-custom {
    background-color: black;
    color: white;
    font-weight: bold;
    width: 45%;
  }
  .details, .shipping {
    padding: 10px 0;
    display: flex;
    justify-content: space-between;
    
  }
  button.btn.btn-custom.mb-3 {
    border-radius: 48.5px;
    /* max-width: 80%; */
    height: 40px;
    margin: 20px auto;
    /* text-align: center; */
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(0, 0, 0);
}
button.btn.btn-custom.mb-3:hover{
  color: #fff;
}
.description-toggle-container{
  margin-top: 40px;
}
  .description-toggle, .details-toggle, .shipping-toggle {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    font-size: 1.5rem;
  }
  .description-Details{
    border-bottom: 1px solid;
  }
  .details, .shipping{
    font-size: 1.5rem;  
  }
  .description-title p{
    color: rgb(173, 173, 173);
    font-size: 1.5rem;
    line-height: 13.65pt;
  }
  .contact {
    padding: 20px 0 0px;
    display: flex;
    align-items: center;
    font-family: Bodoni 72;
  }
  .contact a{
    color: #000;
  }
  .share {
    padding: 20px 0 50px;
    display: flex;
    align-items: center;
  }

  .contact span{
    gap: 15px;
    /* display: flex; */
    align-items: center;
    flex-wrap: wrap;
    font-size: 1.5rem;
    
  }

  .share span{
    font-size: 1.2rem;
    font-family: Bodoni 72;
    margin-right: 10px;
    font-size: 1.5rem;
  }

  .fab1 {
    display: inline-block;
    width: 32px;
    height: 32px;
    line-height:2;
    background-color: #000;
    color: #fff;
    border-radius: 50%;
    text-align: center;
    margin: 0 10px;
    transition: color 0.3s, background-color 0.3s;
  }
  .fab1:hover {
    background-color: #333;
    color: #fff;
  }

  .fab2{
    font-size:25px;margin-left: 5px;
  }
  @media(max-width: 1630px) and (min-width: 1280px) {
    .product-images{
      gap: 20px;
    }
  }
 
  @media (max-width: 1280px) {
    .breadcrumb {   
      margin: 20px;
      padding: 0px;
  }
  .product-images{
    gap: 10px;
  }
  .product-images img {
    margin: 0px;
  }
  .forEach {
    margin: 0px 20px;
    padding: 0px;
  }
  .product-details h1{
    font-size: 1.2rem;
    
  }
  .product-details p{
    font-size: 1rem;
  }
  .description-toggle, .details-toggle, .shipping-toggle,.details, .shipping{
    font-size: 1rem;
  }
  .contact span,.share span{
    font-size: 1rem;
  }
  .share {
    padding: 15px 0 0px;
  }
  .nav__data {
    padding: 0px 35px 0px 13px !important;
  }
  .footer {
    padding: 20px !important;
  }
  .row{
    margin: 0px;
  }
  .container-fluid,.product-details{
    padding: 0px;
  }
  button.btn.btn-custom.mb-3{
    height: 50px;
    max-width: 20px auto;
  }
  /* .fab1 {
    width: 53px;
    height: 27px;
    font-size: 0.8rem;
    margin: 0px 5px;
  }
  .fab2 {
    font-size: 20px;
  } */
}
@media (max-width: 820px) {
  .fab1 {
    width: 53px;
    height: 27px;
    font-size: 0.8rem;
    margin: 0px 5px;
  }
  .fab2 {
    font-size: 20px;
  } 
}

/* 响应式样式 (宽度介于541px和768px) */
@media (min-width: 541px) and (max-width: 768px) {
  .breadcrumb {   
    margin: 20px;
    padding: 0px;
}
.product-images{
  gap: 10px;
}
.product-images img {
  margin: 0px;
}
.forEach {
  margin: 0px 20px;
  padding: 0px;
}
.product-details h1{
  font-size: 1.2rem;
  
}
.product-details p{
  font-size: 1rem;
}
.description-toggle, .details-toggle, .shipping-toggle,.details, .shipping{
  font-size: 1rem;
}
.contact span,.share span{
  font-size: 1rem;
}
.share {
  padding: 15px 0 0px;
}
.nav__data {
  padding: 0px 35px 0px 13px !important;
}
.footer {
  padding: 20px !important;
}
.row{
  margin: 0px;
}
.container-fluid,.product-details{
  padding: 0px;
}
button.btn.btn-custom.mb-3{
  height: 50px;
  max-width: 20px auto;
}
.fab1 {
  width: 53px;
  height: 27px;
  font-size: 0.8rem;
  margin: 0px 5px;
}
.fab2 {
  font-size: 20px;
}
}
/* 移动端样式 (宽度小于等于540px) */
@media (max-width: 540px) {
  .fab1 {
    width: 32px;
    height: 32px;
    font-size: 1rem;
  }
  .fab2 {
    font-size: 25px;
  }
}
/* 移动端样式 (宽度小于等于480px) */
@media (max-width: 480px) {
    .breadcrumb {   
        margin: 20px;
        padding: 0px;
    }
    .product-images{
      gap: 10px;
    }
    .product-images img {
      margin: 0px;
    }
    .forEach {
      margin: 0px 20px;
      padding: 0px;
    }
    .product-details h1{
      font-size: 1.2rem;
      
    }
    .product-details p{
      font-size: 1rem;
    }
    .description-toggle, .details-toggle, .shipping-toggle,.details, .shipping{
      font-size: 1rem;
    }
    .contact span,.share span{
      font-size: 1rem;
    }
    .share {
      padding: 15px 0 0px;
  }
    .nav__data {
      padding: 0px 35px 0px 13px !important;
    }
    .footer {
      padding: 20px !important;
  }
}
.description-Details{
  cursor: pointer;
}
.product-details h1{
  font-family: math, serif, 'Font Awesome 5 Free', cursive !important;
}
.product-details p{
  font-family: math, serif, 'Font Awesome 5 Free', cursive !important;
}
.product-details .details{
  font-family: math, serif, 'Font Awesome 5 Free', cursive !important;
}
.product-details .shipping{
  font-family: math, serif, 'Font Awesome 5 Free', cursive !important;
}
.product-details span{
  font-family: math, serif, 'Font Awesome 5 Free', cursive !important;
}
.product-details span{
  font-family: math, serif, 'Font Awesome 5 Free', cursive !important;
}
.product-details .share{
  font-family: math, serif, 'Font Awesome 5 Free', cursive !important;
}

/* 针对1920px */
@media (max-width: 1920px) {
  .product-details h1{
    font-size: 2.3rem;
  }
  .price-tag{
    font-size: 2.3rem;
  }
}
/* 设置符号-和+同样宽度  */
.details span{
  width: 17px !important;
}
.details span {
  font-family: 'Menlo', 'Lucida Console', 'Monaco', 'Consolas', monospace !important;
  text-align: center;
}
.shipping span {
  font-family: 'Menlo', 'Lucida Console', 'Monaco', 'Consolas', monospace !important;
  text-align: center;
}